%define prev 	pre2

Name: 		bkchem
Version: 	0.14.0
Release: 	%mkrel -c %{prev} 15
Summary: 	Python 2D chemical structure drawing tool
License: 	GPLv2+
Group: 		Sciences/Chemistry
URL: 		http://bkchem.zirael.org
Source0:	http://bkchem.zirael.org/download/%{name}-%{version}-%{prev}.tar.gz
Patch0:		bkchem-0.14.0-PIL.patch
BuildArch:	noarch
BuildRequires:	python-devel
Requires: 	python-imaging
Requires:	Pmw
BuildArch:	noarch

%description
BKChem is a free (as in free software :o) chemical drawing program. It was
conceived and written by Beda Kosata.  Supported file formats are SVG and CML.
The output looks best with the Adobe SVG viewer, but sodipodi and batik do a
reasonable job as well.

%prep
%setup -q -n %{name}-%{version}-%{prev}
%autopatch -p1
touch INSTALL.binary

%build

%install
mkdir -p %{buildroot}%{_bindir}
touch %{buildroot}%{_bindir}/%{name}
python setup.py install --root=%{buildroot}
chmod 644 gpl.txt README
pushd %{buildroot}%{_datadir}
chmod 644 `find -type f`
chmod 755 `find -type d`
popd

rm -fr %{buildroot}%{_prefix}/doc/api

#fix executable
rm %{buildroot}%{_bindir}/%{name}
echo '#!/bin/sh' > %{buildroot}%{_bindir}/%{name}
echo 'export BKCHEM_MODULE_PATH=%{py_puresitedir}/%{name}' >> %{buildroot}%{_bindir}/%{name}
echo 'export BKCHEM_TEMPLATE_PATH=%{_datadir}/%{name}/templates' >> %{buildroot}%{_bindir}/%{name}
echo 'export BKCHEM_PIXMAP_PATH=%{_datadir}/%{name}/pixmaps' >> %{buildroot}%{_bindir}/%{name}
echo 'export BKCHEM_IMAGE_PATH=%{_datadir}/%{name}/images' >> %{buildroot}%{_bindir}/%{name}
echo 'python %{py_puresitedir}/%{name}/%{name}.py' >> %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=BKchem
Comment=2D chemical structure drawing tool
Exec=bkchem
Icon=chemistry_section
Terminal=false
Type=Application
Categories=Science;Chemistry;
EOF

%find_lang BKChem

%files -f BKChem.lang
%doc gpl.txt progress.log INSTALL README doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{py_puresitedir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{py_puresitedir}/*.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.14.0-0.pre2.15.mga6
+ Revision: 969841
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 0.14.0-0.pre2.14.mga6
+ Revision: 879751
- make it noarch

* Tue Sep 15 2015 daviddavid <daviddavid> 0.14.0-0.pre2.13.mga6
+ Revision: 879556
- update doc file list (fix build with new rpm 4.13.0)

* Tue Dec 02 2014 philippem <philippem> 0.14.0-0.pre2.12.mga5
+ Revision: 800383
- remove wrong dependency on python-pyxml

* Wed Oct 15 2014 umeabot <umeabot> 0.14.0-0.pre2.11.mga5
+ Revision: 742382
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.14.0-0.pre2.10.mga5
+ Revision: 725981
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.14.0-0.pre2.9.mga5
+ Revision: 678168
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 daviddavid <daviddavid> 0.14.0-0.pre2.8.mga5
+ Revision: 640882
- minor cosmetic change
- add Patch0 to fix PIL imports modules since Pillow package
  * patch come from fedora: https://bugzilla.redhat.com/show_bug.cgi?id=893804

* Sat May 31 2014 pterjan <pterjan> 0.14.0-0.pre2.7.mga5
+ Revision: 628115
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.14.0-0.pre2.6.mga4
+ Revision: 542513
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.14.0-0.pre2.5.mga4
+ Revision: 497645
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 0.14.0-0.pre2.3.mga3
+ Revision: 346912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 25 2011 wally <wally> 0.14.0-0.pre2.2.mga1
+ Revision: 90287
- fix desktop file name (mga#954)
- drop buildroot definition
- drop obsolete py_requires macro

* Tue Mar 15 2011 steletch <steletch> 0.14.0-0.pre2.1.mga1
+ Revision: 72245
- Remove old mdk macros
- imported package bkchem


* Wed Mar 09 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.14.0-0.pre2.1mdv2011.0
+ Revision: 643050
- Update to 0.14pre2
- Fix BKChem macro name for lang detection
- Update URL and description

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.13.0-3mdv2011.0
+ Revision: 590787
- rebuild for py2.7

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.13.0-2mdv2010.0
+ Revision: 436826
- rebuild

* Mon Feb 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.13.0-1mdv2009.1
+ Revision: 344283
- Update to new version 0.13.0

* Tue Feb 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.12.6-1mdv2009.1
+ Revision: 342150
- update to new version 0.12.6

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.12.5-2mdv2009.1
+ Revision: 319048
- own site directory
- rebuild for python 2.6

* Thu Nov 27 2008 Funda Wang <fwang@mandriva.org> 0.12.5-1mdv2009.1
+ Revision: 307195
- update to new version 0.12.5

* Sat Oct 25 2008 Frederik Himpe <fhimpe@mandriva.org> 0.12.4-1mdv2009.1
+ Revision: 297162
- update to new version 0.12.4

* Fri Oct 10 2008 Frederik Himpe <fhimpe@mandriva.org> 0.12.3-1mdv2009.1
+ Revision: 291493
- update to new version 0.12.3

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.12.2-2mdv2009.0
+ Revision: 266243
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 31 2008 Funda Wang <fwang@mandriva.org> 0.12.2-1mdv2009.0
+ Revision: 213602
- New version 0.12.2

* Mon May 19 2008 Frederik Himpe <fhimpe@mandriva.org> 0.12.1-1mdv2009.0
+ Revision: 209171
- New version
- Adapt to new license policy

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.12.0-2mdv2009.0
+ Revision: 201061
- fix startup script

* Thu Dec 27 2007 Jérôme Soyer <saispo@mandriva.org> 0.12.0-1mdv2008.1
+ Revision: 138375
- Fix building under x86_64

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill hardcoded icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Emmanuel Andry <eandry@mandriva.org>
    - New version
    - drop old menu


* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 0.11.5-1mdv2007.0
- New release 0.11.5

* Fri Feb 24 2006 Austin Acton <austin@mandriva.org> 0.11.4-1mdk
- New release 0.11.4

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.11.3-1mdk
- New release 0.11.3

* Mon Jan 16 2006 Austin Acton <austin@mandriva.org> 0.11.2-1mdk
- New release 0.11.2

* Mon Dec 05 2005 Lenny Cartier <lenny@mandriva.com> 0.11.1-1mdk
- 0.11.1

* Fri Sep 30 2005 Lenny Cartier <lenny@mandriva.com> 0.11.0-1mdk
- 0.11.0

* Thu Jul 14 2005 Austin Acton <austin@mandriva.org> 0.10.2-1mdk
- New release 0.10.2

* Thu Jun 30 2005 Lenny Cartier <lenny@mandriva.com> 0.10.1-1mdk
- 0.10.1

* Sun Jun 26 2005 Austin Acton <austin@mandriva.org> 0.10.0-1mdk
- New release 0.10.0

* Mon Dec 06 2004 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- 0.9.0
- source URL

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.1-2mdk
- Rebuild for new python
- various spec fix

* Fri Oct 08 2004 Austin Acton <austin@mandrake.org> 0.8.1-1mdk
- 0.8.1

* Mon Oct 04 2004 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- 0.8.0 final

* Thu Aug 26 2004 Austin Acton <austin@mandrake.org> 0.8.0-0.pre1.1mdk
- 0.8.0pre1

* Fri Aug 20 2004 Austin Acton <austin@mandrake.org> 0.7.1-2mdk
- new menu

* Wed Aug 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Mon Aug 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Sun May 02 2004 Austin Acton <austin@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Mon Mar 01 2004 Austin Acton <austin@mandrake.org> 0.5.2-1mdk
- 0.5.2

* Wed Feb 25 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.5.1-0.pre1.1mdk
- 0.5.1pre1

* Tue Sep 30 2003 Austin Acton <aacton@yorku.ca> 0.5.0-1mdk
- 0.5.0 final

